Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 452484 - =media-video/mplayer2-2.0_p20120828 ABI=x32 - cpudetect.c:206: Error: invalid instruction suffix for `pushf'
Summary: =media-video/mplayer2-2.0_p20120828 ABI=x32 - cpudetect.c:206: Error: invalid...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nikoli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: x32
  Show dependency tree
 
Reported: 2013-01-16 11:25 UTC by camper
Modified: 2015-03-15 09:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
full merge --info (emerge.info,15.72 KB, text/plain)
2013-01-16 11:26 UTC, camper
Details
build log (build.log,33.43 KB, text/plain)
2013-01-16 11:26 UTC, camper
Details
workaround by changing arch-detection to x86_64 and mpg123-name-mangling (mplayer2-x32.patch,652 bytes, text/plain)
2013-01-16 11:31 UTC, camper
Details
>=media-video/mplayer2-2.0_p20121108 add x32 abi support (mplayer2-x32.patch,4.50 KB, patch)
2013-01-28 22:02 UTC, camper
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description camper 2013-01-16 11:25:13 UTC
x86_64-pc-linux-gnux32-gcc -MD -MP -Wundef   -Wstrict-prototypes -Wmissing-prototypes -Wdisabled-optimization -Wno-pointer-sign -std=gnu99  -march=native -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -I.  -D_REENTRANT    -D_REENTRANT   -I/usr/include/alsa   -I/usr/include   -I/usr/include/freetype2     -I/usr/include/freetype2         -I/usr/include -I/usr/include/libdvdread -c -o fmt-conversion.o fmt-conversion.c
cpudetect.c: Assembler messages:
cpudetect.c:206: Error: invalid instruction suffix for `pushf'
cpudetect.c:207: Error: operand type mismatch for `pop'
cpudetect.c:210: Error: operand type mismatch for `push'
cpudetect.c:211: Error: invalid instruction suffix for `popf'
cpudetect.c:212: Error: invalid instruction suffix for `pushf'
cpudetect.c:213: Error: operand type mismatch for `pop'
x86_64-pc-linux-gnux32-gcc -MD -MP -Wundef   -Wstrict-prototypes -Wmissing-prototypes -Wdisabled-optimization -Wno-pointer-sign -std=gnu99  -march=native -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -I.  -D_REENTRANT    -D_REENTRANT   -I/usr/include/alsa   -I/usr/include   -I/usr/include/freetype2     -I/usr/include/freetype2         -I/usr/include -I/usr/include/libdvdread -c -o m_config.o m_config.c
make: *** [cpudetect.o] Error 1
make: *** Waiting for unfinished jobs....
 * ERROR: media-video/mplayer2-2.0_p20120828 failed (compile phase):
 *   emake failed

Reproducible: Always

Steps to Reproduce:
emerge [with -mmx -sse -sse2 -ssse3]
Actual Results:  
package fails to build

Expected Results:  
package builds and installs

emerge --info
Portage 2.1.11.31 (default/linux/amd64/10.0/x32, gcc-4.7.2, glibc-2.16.0, 3.7.1-hardened-r2 x86_64)
=================================================================
System uname: Linux-3.7.1-hardened-r2-x86_64-Intel-R-_Atom-TM-_CPU_330_@_1.60GHz-with-gentoo-2.1
Timestamp of tree: Wed, 16 Jan 2013 05:15:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r3, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.7.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
[...]
ABI="x32"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="hda-intel"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES=[...]
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode multilib multilib multilib"
CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump"
CAMERAS="ptp2"
CBUILD="x86_64-pc-linux-gnux32"
CFLAGS="-march=native -O2"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnux32"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/* *.py[co]"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2"
DEFAULT_ABI="x32"
DISTDIR="/mnt/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="-a --verbose --keep-going --ask-enter-invalid --with-bdeps y --backtrack=30 --fail-clean y --quiet-build n"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync mirror multilib-strict news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
FFLAGS="-O2 -pipe"
GCC_SPECS=""
GDK_USE_XFT="1"
GENTOO_MIRRORS="http://gentoo.mneisen.org "
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GRUB_PLATFORMS="pc"
GSETTINGS_BACKEND="gconf"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnux32/4.7.2/info:/usr/share/binutils-data/x86_64-pc-linux-gnux32/2.22/info"
INPUT_DEVICES="evdev"
IUSE_IMPLICIT="prefix"
KERNEL="linux"
LANG="de_DE.utf8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_COLLATE="C"
LC_MESSAGES="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib"
LIBDIR_x86_fbsd="lib"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="de"
LOGNAME="root"
LS_COLORS=[...]
MAIL="/var/mail/root"
MAKEOPTS="-j4"
MANPATH="/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnux32/4.7.2/man:/usr/share/binutils-data/x86_64-pc-linux-gnux32/2.22/man"
MULTILIB_ABIS="amd64 x86 x32"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev)"
MULTIOSDIRS="../libx32:../lib:../lib64"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnux32/gcc-bin/4.7.2"
PHP_TARGETS="php5-3"
PKGDIR="/usr/portage/packages"
POLICY_TYPES="targeted"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh x86-solaris sparc-fbsd"
PORTAGE_BIN_PATH="/usr/lib/portage/bin"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_COMPRESS_FLAGS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="*"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="echo save syslog"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_NICENESS="20"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/portage/local_overlay"
PORT_LOGDIR="/var/log/portage"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/usr/libx32/libfreebl3.so:/usr/libx32/libnssdbm3.so:/usr/libx32/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHONPATH="/usr/lib/portage/pym"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_2"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnux32/gcc-bin/4.7.2"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby18 ruby19"
SHELL="/bin/bash"
SHLVL="2"
SSH_CLIENT="192.168.3.102 1073 22"
SSH_CONNECTION="192.168.3.102 1073 192.168.3.131 22"
SSH_TTY="/dev/pts/0"
STY="11132.pts-0.atom"
SYMLINK_LIB="no"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
TERM="screen"
TERMCAP=[...]
UNINSTALL_IGNORE="/lib/modules/*"
USE="X acl acpi alsa amd64 berkdb bzip2 c++0x c++11 cairo caps cjk cli consolekit cracklib crypt cups curl cxx dbus dri fortran g3dvl gd gdbm gif gpm gudev hwdb iconv ipv6 jbig jemalloc jpeg jpeg2k libkms libnotify mmx mod modplug modules mudflap multilib ncurses nls nptl nsplugin ogg opengl openmp pam pax_kernel pcntl pcre pic png policykit pppd pulseaudio python qt4 readline rle sdl secure-delete session smp spice sse sse2 sse3 ssl ssse3 startup-notification svg system-sqlite tcpd threads thunar tiff truetype unicode unlock-notify vaapi vdpau vorbis xa xattr xorg xv xvmc zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="root"
USERLAND="GNU"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS CURL_SSL DRACUT_MODULES DVB_CARDS ELIBC ENLIGHTENMENT_MODULES FCDSL_CARDS FFTOOLS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LIBREOFFICE_EXTENSIONS LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux hppa hppa-hpux ia64 ia64-hpux ia64-linux m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos ppc-openbsd s390 sh sparc sparc64-freebsd sparc64-solaris sparc-fbsd sparc-solaris x64-freebsd x64-macos x64-openbsd x64-solaris x86 x86-cygwin x86-fbsd x86-freebsd x86-interix x86-linux x86-macos x86-netbsd x86-openbsd x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX Cygwin Darwin FreeBSD glibc HPUX Interix mintlib NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Cygwin Darwin FreeBSD freemint HPUX Interix linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VIDEO_CARDS="nouveau"
WINDOW="0"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"
Comment 1 camper 2013-01-16 11:26:17 UTC
Created attachment 335806 [details]
full merge --info
Comment 2 camper 2013-01-16 11:26:39 UTC
Created attachment 335808 [details]
build log
Comment 3 camper 2013-01-16 11:31:21 UTC
Created attachment 335810 [details]
workaround by changing arch-detection to x86_64 and mpg123-name-mangling

chnaging arch to x86_64 avoids the 32-bit cpudetection code.
unfortunately there is no --disable-asm switch to get rid of all asm-statements.

video-output seems to work with this.
audio-output is limited to pcm only.
Comment 4 Nikoli 2013-01-28 13:36:54 UTC
Do you have same problem with 2.0_p20121128 and 9999? If yes, please also report upstream.
Comment 5 camper 2013-01-28 21:50:27 UTC
Upstream ticket can be found here
http://devel.mplayer2.org/ticket/229

The patch applies to -2.0_p20121108, -2.0_p20121128 and -9999
Comment 6 camper 2013-01-28 22:02:00 UTC
Created attachment 337156 [details, diff]
>=media-video/mplayer2-2.0_p20121108 add x32 abi support
Comment 7 Nikoli 2013-01-29 11:56:44 UTC
> http://devel.mplayer2.org/ticket/229#comment:4
If it is mpg123 bug, do we need to do anything with mplayer2?
Comment 8 camper 2013-01-29 12:55:58 UTC
(In reply to comment #7)
> > http://devel.mplayer2.org/ticket/229#comment:4
> If it is mpg123 bug, do we need to do anything with mplayer2?

The rest of the patch is still needed to get working asm code.
Comment 9 Nikoli 2014-02-13 06:07:04 UTC
camper, mplayer2 upstream is not active since 2013-04-28, please try media-video/mpv.
Comment 10 Luke-Jr 2014-04-15 12:29:49 UTC
(In reply to Nikoli from comment #9)
> camper, mplayer2 upstream is not active since 2013-04-28, please try
> media-video/mpv.

mpv doesn't work either.
Comment 11 Nikoli 2014-04-15 21:09:02 UTC
Luke-Jr. then please report it upstream.
Comment 12 Nikoli 2014-04-19 15:25:01 UTC
mpv git master not have any asm now.
Comment 13 Ben de Groot (RETIRED) gentoo-dev 2015-03-15 09:21:01 UTC
mplayer2 is abandoned and last-rited